<div class="header bg-gradient-dangerr py-7 py-lg-8">
  <div class="illustration" style="margin:50px">
    <h1 style="size:8vw; font-weight: bold;text-align: center;">Se Connecter<br>
    </h1>
    
   <!--  <img  style="float:right" src="assets/img/login.svg" class="col-lg-3 col-md-6 col-sm-10" alt=""> -->
  </div>

</div>
<!-- Page content -->
<div class="container mt--8 pb-5 " style="height: 700px;" style="height: 700px;justify-content: center;">
  <div class="row justify-content-center" style="height: 700px;justify-content: center;">
    <div class="col-lg-5 col-md-7">
      <div class="card bg-secondary shadow border-0">
        <!-- <div class="card-header bg-transparent pb-5">
          <div class="text-muted text-center mt-2 mb-3"><small>Sign in with</small></div>
          <div class="btn-wrapper text-center">
            <a href="javascript:void(0)" (click)="signInWithFB()" class="btn btn-neutral btn-icon">
              <span class="btn-inner--icon"><img src="../assets/img/icons/common/facebook.svg"></span>
              <span class="btn-inner--text">Facebook</span>
            </a>
            <a href="javascript:void(0)" class="btn btn-neutral btn-icon">
              <span class="btn-inner--icon"><img src="../assets/img/icons/common/google.svg"></span>
              <span class="btn-inner--text">Google</span>
            </a>
          </div>
        </div> -->
        <div class="card-body px-lg-5 py-lg-5">
          <div class="text-center text-muted mb-4">
            <!-- <small>Or sign in with credentials</small> -->
            <small>Sign in</small>
          </div>



          <form role="form" *ngIf="!isLoggedIn && login " name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm"
            novalidate>
            <div class="form-group mb-3">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                </div>



                <input class="form-control" placeholder="Email" type="text" class="form-control" name="username"
                  [(ngModel)]="form.username" required #username="ngModel">
              </div>
              <div class="alert alert-danger" role="alert" *ngIf="f.submitted && username.invalid">
                Username is required!
              </div>
            </div>
            <div class="form-group">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-lock-circle-open"></i></span>
                </div>
                <input class="form-control" placeholder="Password" type="password" class="form-control" name="password"
                  [(ngModel)]="form.password" required minlength="6" #password="ngModel">
              </div>
              <div class="alert alert-danger" role="alert" *ngIf="f.submitted && password.invalid">
                <div *ngIf="password.errors.required">Password is required</div>
                <div *ngIf="password.errors.minlength">
                  Password must be at least 6 characters
                </div>
              </div>
              <!-- <div class="custom-control custom-control-alternative custom-checkbox">
                <input class="custom-control-input" id=" customCheckLogin" type="checkbox">
                <label class="custom-control-label" for=" customCheckLogin">
                  <span class="text-muted">Remember me</span>
                </label>
              </div> -->
              <div class="text-center">
                <button class="btn btn-primary my-4">Sign in</button>
              </div>
              <div class="form-group">
                <div class="alert alert-danger" role="alert" *ngIf="f.submitted && isLoginFailed">
                  Login failed: {{ errorMessage }}
                </div>
              </div>
            </div>
          </form>

  
          <form role="form" *ngIf="!isLoggedIn && forgor"  (ngSubmit)="forgotSubmit(email.value)" #f="ngForm"
            novalidate>
            <div class="form-group mb-3">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                </div>
                <input class="form-control" placeholder="Email" type="text" class="form-control" name="username"
                  required #email>
              </div>
          
            </div>
            <div class="text-center">
              <button class="btn btn-primary my-4">Forgot password </button>
            </div>
          </form>
          <div class="alert alert-success" *ngIf="isLoggedIn">
            Logged in as {{ name }}.
          </div>
        </div>
      </div>
      <div class="row mt-3">
        <!-- <div class="col-6">
          <a href="javascript:void(0)" class="text-light"><small>Forgot password?</small></a>
        </div> -->
        <div class="col-6 ">
          <a [routerLink]="['/register']" class="text-light"><small>Create new account</small></a>
        </div>
        <div class="col-6 ">
          <a (click)="forgotpass()" class="text-light"><small>forgot password</small></a>
        </div>
      </div>
    </div>
    <div class="col-md-5">
      <div >
        <img  src="assets/img/post2.png" class="img-responsive" width="280" height="277" alt=""><br>

        </div>
    </div>
    <div class="col-md-8 illustration " style="    align-items: center;    padding-top: 20px;">
      <img  src="assets/img/logo2.png" style="justify-content: center; "width="80" height="80" alt=""><br>

    </div>
  </div>
</div>